Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.domino
Class OutOfOfficeProfile

    java.lang.Object
      com.compoze.domino.AbstractItem
          com.compoze.domino.Profile
              com.compoze.domino.OutOfOfficeProfile

All Implemented Interfaces:
  java.io.Serializable

public class OutOfOfficeProfile
extends Profile
implements java.io.Serializable

This class represents the a domino profile .

See Also:
  Serialized Form

Field Summary
`static PropertyKey[]` | `ALL_PROPS` Contains an array of all of the properties available on a memo.
`static java.lang.String` | `NAME` The default name for the profile used by the out of office agent.

Fields inherited from class com.compoze.domino.AbstractItem
`m_props, m_session`

Method Summary
`java.lang.String` | `getBusyTimeSubj()` Gets the busy time subject.
`java.lang.String` | `getCalendarEntryID()` Gets the Document ID of the calendar entry used for booking busy time.
`java.lang.String` | `getCurrentStatus()` Gets the status.
`java.util.Date` | `getDateDisableReminderSent()` Gets the disable reminder day.
`java.util.Date` | `getDateFirstReminderSent()` Gets the first reminder day.
`java.lang.String` | `getDaysOutGeneral()` Gets the days out message.
`java.lang.String` | `getDaysOutSpecial()` Gets the days out message.
`java.lang.String` | `getGeneralMessage()` Gets the message to send when reply to mail recieved.
`java.lang.String` | `getGeneralSubject()` Gets the subject to send when reply to mail recieved.
`java.lang.String[]` | `getIgnoreFromList()` Gets the array of people that do not recieve a response from the agent.
`java.lang.String[]` | `getIgnoreSend()` The agent does not automatically respond to mail which is addressed to users in this list.
`java.lang.String[]` | `getIgnoreSubjectPhrase()` The agent does not automatically respond to mail which contains these subject phrases.
`java.util.Date` | `getLeaving()` Gets the first day out.
`java.lang.String[]` | `getNotified()` Gets the notified list of senders.
`java.util.Date` | `getReturning()` Gets the first day back.
`java.lang.String` | `getSpecialMessage()` Gets the special message to send when reply to mail recieved.
`java.lang.String[]` | `getSpecialPeople()` Gets the array of special people.
`java.lang.String` | `getSpecialSubject()` Gets the subject to send when reply to mail recieved.
`boolean` | `isBookBusyTime()` Gets the busy time.
`boolean` | `isEnabled()` Gets the enabled status.
`boolean` | `isExcludeInternetEmail()` Gets the ExcludeFromInternetEmail option.
`void` | `serverUpdate()` Sends out-of-office profile updates to the server.
`void` | `setBookBusyTime(boolean bBusy)` Sets the busy time.
`void` | `setBusyTimeSubj(java.lang.String sSubject)` Sets the busy time subject.
`void` | `setCalendarEntryID(java.lang.String sDocumentID)` Sets the Document ID of the calendar entry used for booking busy time.
`void` | `setDaysOutGeneral(java.lang.String sDaysOut)` Sets the days out message.
`void` | `setDaysOutSpecial(java.lang.String sDaysOut)` Sets the days out message.
`void` | `setExcludeInternetEmail(boolean bExclude)` Sets the ExcludeFromInternetEmail option.
`void` | `setGeneralMessage(java.lang.String sGeneralMessage)` Sets the message to send when reply to mail recieved.
`void` | `setGeneralSubject(java.lang.String sSubject)` Sets the subject to send when reply to mail recieved.
`void` | `setIgnoreFromList(java.lang.String[] ignoreFromList)` Sets the array of people the agent does not send a response.
`void` | `setIgnoreSend(java.lang.String[] ignoreSend)` The agent does not automatically respond to mail which is addressed to users in this list.
`void` | `setIgnoreSubjectPhrase(java.lang.String[] ignoreSubject)` The agent does not automatically respond to mail which contains these subject phrases.
`void` | `setLeaving(java.util.Date firstDayOut)` Sets the first day out.
`void` | `setReturning(java.util.Date firstDayBack)` Sets the first day back.
`void` | `setSpecialMessage(java.lang.String sSpecialMessage)` Sets the special message to send when reply to mail recieved.
`void` | `setSpecialPeople(java.lang.String[] specialPeople)` Sets the subject to send when reply to mail recieved.
`void` | `setSpecialSubject(java.lang.String sSpecialSubject)` Sets the subject to send when reply to mail recieved.

Methods inherited from class com.compoze.domino.Profile
`getProfileName, getProfileUser, serverDelete`

Methods inherited from class com.compoze.domino.AbstractItem
`get, getBoolean, getDate, getDateArray, getDouble, getInt, getPropertyKeys, getString, getStringArray, getUpdatedPropertyValues, set, setBoolean, setDate, setDouble, setInt, setString, setStringArray`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ALL_PROPS

    public static final PropertyKey[] ALL_PROPS

  Contains an array of all of the properties available on a memo. Although this can be used when specifying property keys to retrieve, it's preferable to only specify the keys that are required as the number of properties that are pulled back from the server has a direct impact on performance.

### NAME

    public static final java.lang.String NAME

  The default name for the profile used by the out of office agent.

  See Also:
    Constant Field Values

Method Detail

### isEnabled

    public boolean isEnabled()
                      throws DominoException

  Gets the enabled status.

  Returns:
    is agent enabled.
  Throws:
    `DominoException`
  See Also:
    `PropertyKey.ENABLE_AGENT`

### getCurrentStatus

    public java.lang.String getCurrentStatus()
                                      throws DominoException

  Gets the status.

  Returns:
    the agent status if the agent is successfully enabled or disabled.
  Throws:
    `DominoException`
  See Also:
    `PropertyKey.CURRENT_STATUS`

### isExcludeInternetEmail

    public boolean isExcludeInternetEmail()
                                   throws DominoException

  Gets the ExcludeFromInternetEmail option. If set, the agent does not automatically reply to messages recieved from the internet.

  Returns:
    the array of senders to ignore.
  Throws:
    `DominoException`
  See Also:
    `PropertyKey.EXCLUDE_INTERNET_EMAIL`

### setExcludeInternetEmail

    public void setExcludeInternetEmail(boolean bExclude)
                                 throws DominoException

  Sets the ExcludeFromInternetEmail option. This determines if the agent automatically replies to messages recived from the internet.

  Parameters:
    `bExclude` - `true` to exclude internet messages other wise `false`.
  Throws:
    `DominoException`
  See Also:
    `PropertyKey.EXCLUDE_INTERNET_EMAIL`

### isBookBusyTime

    public boolean isBookBusyTime()
                           throws DominoException

  Gets the busy time. This determines if unavailable is seen on the user's calendar during this time.

  Returns:
    is the time marked busy.
  Throws:
    `DominoException`
  See Also:
    `PropertyKey.BOOK_BUSY_TIME`

### setBookBusyTime

    public void setBookBusyTime(boolean bBusy)
                         throws DominoException

  Sets the busy time. This determines if unavailable is seen on the user's calendar during this time.

  Parameters:
    `bBusy` - the time is marked busy.
  Throws:
    `DominoException`
  See Also:
    `PropertyKey.BOOK_BUSY_TIME`

### getBusyTimeSubj

    public java.lang.String getBusyTimeSubj()
                                     throws DominoException

  Gets the busy time subject. This is the values used for the calendar entry subject if the user is seen as unavailable.

  Returns:
    the busy time subject.
  Throws:
    `DominoException`
  See Also:
    `PropertyKey.BUSY_TIME_SUBJ`

### setBusyTimeSubj

    public void setBusyTimeSubj(java.lang.String sSubject)
                         throws DominoException

  Sets the busy time subject. This is the values used for the calendar entry subject if the user is seen as unavailable.

  Parameters:
    `sSubject` - the busy time subject.
  Throws:
    `DominoException`
  See Also:
    `PropertyKey.BUSY_TIME_SUBJ`

### getCalendarEntryID

    public java.lang.String getCalendarEntryID()
                                        throws DominoException

  Gets the Document ID of the calendar entry used for booking busy time.

  Returns:
    the calendar entry.
  Throws:
    `DominoException`
  See Also:
    `PropertyKey.CALENDAR_ENTRY_UNID`

### setCalendarEntryID

    public void setCalendarEntryID(java.lang.String sDocumentID)
                            throws DominoException

  Sets the Document ID of the calendar entry used for booking busy time.

  Throws:
    `DominoException`
  See Also:
    `PropertyKey.CALENDAR_ENTRY_UNID`

### getDateDisableReminderSent

    public java.util.Date getDateDisableReminderSent()
                                              throws DominoException

  Gets the disable reminder day.

  Returns:
    the day the disable reminder is sent.
  Throws:
    `DominoException`
  See Also:
    `PropertyKey.DATE_DISABLE_REMINDER_SENT`

### getDateFirstReminderSent

    public java.util.Date getDateFirstReminderSent()
                                            throws DominoException

  Gets the first reminder day.

  Returns:
    the day the first reminder is sent.
  Throws:
    `DominoException`
  See Also:
    `PropertyKey.DATE_FIRST_REMINDER_SENT`

### getReturning

    public java.util.Date getReturning()
                                throws DominoException

  Gets the first day back.

  Returns:
    the first day the user is back.
  Throws:
    `DominoException`
  See Also:
    `PropertyKey.FIRST_DAY_BACK`

### setReturning

    public void setReturning(java.util.Date firstDayBack)
                      throws DominoException

  Sets the first day back.

  Parameters:
    `firstDayBack` - the first day user is back.
  Throws:
    `DominoException`
  See Also:
    `PropertyKey.FIRST_DAY_BACK`

### getLeaving

    public java.util.Date getLeaving()
                              throws DominoException

  Gets the first day out.

  Returns:
    the first day the user is out of the office.
  Throws:
    `DominoException`
  See Also:
    `PropertyKey.FIRST_DAY_OUT`

### setLeaving

    public void setLeaving(java.util.Date firstDayOut)
                    throws DominoException

  Sets the first day out.

  Parameters:
    `firstDayOut` - the first day user is out of the office.
  Throws:
    `DominoException`
  See Also:
    `PropertyKey.FIRST_DAY_OUT`

### getDaysOutGeneral

    public java.lang.String getDaysOutGeneral()
                                       throws DominoException

  Gets the days out message. This text is used as a preamble to the general message.

  Returns:
    the days out message.
  Throws:
    `DominoException`
  See Also:
    `PropertyKey.DAYS_OUT`

### setDaysOutGeneral

    public void setDaysOutGeneral(java.lang.String sDaysOut)
                           throws DominoException

  Sets the days out message. This text is used as a preamble to the general message.

  Parameters:
    `sDaysOut` - the days out message.
  Throws:
    `DominoException`
  See Also:
    `PropertyKey.DAYS_OUT`

### getDaysOutSpecial

    public java.lang.String getDaysOutSpecial()
                                       throws DominoException

  Gets the days out message. This text is used as a preamble to the special message.

  Returns:
    the days out message.
  Throws:
    `DominoException`
  See Also:
    `PropertyKey.DAYS_OUT_1`

### setDaysOutSpecial

    public void setDaysOutSpecial(java.lang.String sDaysOut)
                           throws DominoException

  Sets the days out message. This text is used as a preamble to the special message.

  Parameters:
    `sDaysOut` - the days out message.
  Throws:
    `DominoException`
  See Also:
    `PropertyKey.DAYS_OUT_1`

### getGeneralMessage

    public java.lang.String getGeneralMessage()
                                       throws DominoException

  Gets the message to send when reply to mail recieved.

  Returns:
    the message sent.
  Throws:
    `DominoException`
  See Also:
    `PropertyKey.GENERAL_MESSAGE`

### setGeneralMessage

    public void setGeneralMessage(java.lang.String sGeneralMessage)
                           throws DominoException

  Sets the message to send when reply to mail recieved.

  Parameters:
    `sGeneralMessage` - the message sent.
  Throws:
    `DominoException`
  See Also:
    `PropertyKey.GENERAL_MESSAGE`

### getGeneralSubject

    public java.lang.String getGeneralSubject()
                                       throws DominoException

  Gets the subject to send when reply to mail recieved.

  Returns:
    the subject sent.
  Throws:
    `DominoException`
  See Also:
    `PropertyKey.GENERAL_SUBJECT`

### setGeneralSubject

    public void setGeneralSubject(java.lang.String sSubject)
                           throws DominoException

  Sets the subject to send when reply to mail recieved.

  Throws:
    `DominoException`
  See Also:
    `PropertyKey.GENERAL_SUBJECT`

### getNotified

    public java.lang.String[] getNotified()
                                   throws DominoException

  Gets the notified list of senders.

  Returns:
    the list of notified senders
  Throws:
    `DominoException`
  See Also:
    `PropertyKey.NOTIFIED`

### getIgnoreFromList

    public java.lang.String[] getIgnoreFromList()
                                         throws DominoException

  Gets the array of people that do not recieve a response from the agent.

  Returns:
    the array of senders to ignore.
  Throws:
    `DominoException`
  See Also:
    `PropertyKey.IGNORE_FROM_LIST`

### setIgnoreFromList

    public void setIgnoreFromList(java.lang.String[] ignoreFromList)
                           throws DominoException

  Sets the array of people the agent does not send a response.

  Parameters:
    `ignoreFromList` - the array of senders to ignore.
  Throws:
    `DominoException`
  See Also:
    `PropertyKey.IGNORE_FROM_LIST`

### getIgnoreSend

    public java.lang.String[] getIgnoreSend()
                                     throws DominoException

  The agent does not automatically respond to mail which is addressed to users in this list.

  Returns:
    the array of send to ignored.
  Throws:
    `DominoException`
  See Also:
    `PropertyKey.IGNORE_SEND`

### setIgnoreSend

    public void setIgnoreSend(java.lang.String[] ignoreSend)
                       throws DominoException

  The agent does not automatically respond to mail which is addressed to users in this list.

  Parameters:
    `ignoreSend` - the array of send to ignored.
  Throws:
    `DominoException`
  See Also:
    `PropertyKey.IGNORE_SEND`

### getIgnoreSubjectPhrase

    public java.lang.String[] getIgnoreSubjectPhrase()
                                              throws DominoException

  The agent does not automatically respond to mail which contains these subject phrases. Phrases are case sensitive and must match exactly.

  Returns:
    the array of subjects to ignore.
  Throws:
    `DominoException`
  See Also:
    `PropertyKey.IGNORE_SUBJECT_PHRASE`

### setIgnoreSubjectPhrase

    public void setIgnoreSubjectPhrase(java.lang.String[] ignoreSubject)
                                throws DominoException

  The agent does not automatically respond to mail which contains these subject phrases. Phrases are case sensitive and must match exactly.

  Parameters:
    `ignoreSubject` - the array of subjects to ignore.
  Throws:
    `DominoException`
  See Also:
    `PropertyKey.IGNORE_SUBJECT_PHRASE`

### getSpecialMessage

    public java.lang.String getSpecialMessage()
                                       throws DominoException

  Gets the special message to send when reply to mail recieved.

  Returns:
    the special message sent.
  Throws:
    `DominoException`
  See Also:
    `PropertyKey.SPECIAL_MESSAGE`

### setSpecialMessage

    public void setSpecialMessage(java.lang.String sSpecialMessage)
                           throws DominoException

  Sets the special message to send when reply to mail recieved.

  Parameters:
    `sSpecialMessage` - the special message sent.
  Throws:
    `DominoException`
  See Also:
    `PropertyKey.SPECIAL_MESSAGE`

### getSpecialSubject

    public java.lang.String getSpecialSubject()
                                       throws DominoException

  Gets the subject to send when reply to mail recieved.

  Returns:
    the special subject sent.
  Throws:
    `DominoException`
  See Also:
    `PropertyKey.SPECIAL_SUBJECT`

### setSpecialSubject

    public void setSpecialSubject(java.lang.String sSpecialSubject)
                           throws DominoException

  Sets the subject to send when reply to mail recieved.

  Parameters:
    `sSpecialSubject` - the special subject sent.
  Throws:
    `DominoException`
  See Also:
    `PropertyKey.SPECIAL_SUBJECT`

### getSpecialPeople

    public java.lang.String[] getSpecialPeople()
                                        throws DominoException

  Gets the array of special people.

  Returns:
    the array of special people.
  Throws:
    `DominoException`
  See Also:
    `PropertyKey.SPECIAL_PEOPLE`

### setSpecialPeople

    public void setSpecialPeople(java.lang.String[] specialPeople)
                          throws DominoException

  Sets the subject to send when reply to mail recieved.

  Parameters:
    `specialPeople` - the array of special people.
  Throws:
    `DominoException`
  See Also:
    `PropertyKey.SPECIAL_PEOPLE`

### serverUpdate

    public void serverUpdate()
                      throws DominoException

  Sends out-of-office profile updates to the server.

  Overrides:
    `serverUpdate` in class `Profile`
  Throws:
    `DominoException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.